Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# OdeCollisionEntry Class Reference

A class used to hold information about a collision that has occurred. More...

List of all members.

## Public Member Functions
OdeBody | getBody1 ()
| Returns the first body in the collision.
OdeBody | getBody2 ()
| Returns the second body in the collision.
OdeContactGeom | getContactGeom (unsigned int n)
| Returns the nth contact geom in the collision.
list | getContactGeoms ()
Point3 | getContactPoint (unsigned int n)
| Returns the nth contact point in the collision.
list | getContactPoints ()
OdeGeom | getGeom1 ()
| Returns the first geom in the collision.
OdeGeom | getGeom2 ()
| Returns the second geom in the collision.
unsigned int | getNumContacts ()
| Returns the number of contacts in the collision.
bool | isEmpty ()
| Returns true if the entry holds no contacts.
OdeContactGeom | operator[] (unsigned int n)
| Returns the nth contact geom in the collision.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A class used to hold information about a collision that has occurred.

## Member Function Documentation

OdeBody getBody1 | ( |  | ) |

Returns the first body in the collision.

OdeBody getBody2 | ( |  | ) |

Returns the second body in the collision.

static TypeHandle getClassType | ( |  | ) | `[static]`

OdeContactGeom getContactGeom | ( | unsigned int | n | ) |

Returns the nth contact geom in the collision.

list getContactGeoms | ( |  | ) |

Point3 getContactPoint | ( | unsigned int | n | ) |

Returns the nth contact point in the collision.

This does exactly the same as get_contact_geom(n).get_pos().

list getContactPoints | ( |  | ) |

OdeGeom getGeom1 | ( |  | ) |

Returns the first geom in the collision.

OdeGeom getGeom2 | ( |  | ) |

Returns the second geom in the collision.

unsigned int getNumContacts | ( |  | ) |

Returns the number of contacts in the collision.

bool isEmpty | ( |  | ) |

Returns true if the entry holds no contacts.

OdeContactGeom operator[] | ( | unsigned int | n | ) |

Returns the nth contact geom in the collision.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties